### Method

# Foundry LlmToolCall confirm

#### Declaration [src]

    DexFuture*
    foundry_llm_tool_call_confirm (
      FoundryLlmToolCall* self
    )

#### Description [src]

Confirms that the tool call is authorized and performs it.

The result should be a `FoundryLlmMessage` that may be sent back to the model to continue the conversation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmMessage` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.